#### FILE

#### Synopsis

    HELP:   File handling
    TYPE:   OBJECT
    SYNTAX: FILE(PRE[()...],ENV[()...],FMT.{},CNV[{}...],FIO[{}...],POST/PST[()...])

#### Description

The object FILE allows to specify how a neutral list of FLAM5 elements with type, length, value and attributes is written to one or more files. You can specify a method to format the data (binary, text, XML, ...), an unlimited amount of conversions (character set, compression, encryption, encoding, ...) and an unlimited amount of output procedures (block, record, text FLAM4, ...) to write the output to multiple destinations at the same time (e.g. to a remote machine + local backup).

If you pass a URL containing a CCSID to the FIO object, this CCSID is the default outbound CCSID (TO) for all character conversion objects you use. If no character conversion is requested, the CCSID defined in the URL is not used. When using multiple I/Os, then only the last provided URL-CCSID is used.